> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Suppliers



## OpenAPI

````yaml get /inventory/suppliers/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/suppliers/list:
    get:
      tags:
        - provider
        - inventory
      summary: List Suppliers
      operationId: list_suppliers_inventory_suppliers_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Name of the supplier
            title: Name
          description: Name of the supplier
        - name: is_archived
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Archived status of the supplier
            default: false
            title: Is Archived
          description: Archived status of the supplier
        - name: city
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: City of the supplier
            title: City
          description: City of the supplier
        - name: state
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: State of the supplier
            title: State
          description: State of the supplier
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            description: Number of suppliers per page
            title: Per Page
          description: Number of suppliers per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            description: Page number to retrieve
            default: 1
            title: Page
          description: Page number to retrieve
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_Supplier_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_Supplier_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Supplier'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[Supplier]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Supplier:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the supplier
        name:
          type: string
          title: Name
          description: Name of the supplier
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the supplier
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: Optional website of the supplier
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Optional email of the supplier
        preferredContactMethod:
          anyOf:
            - type: string
            - type: 'null'
          title: Preferredcontactmethod
          description: Optional preferred contact method
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: Optional phone number of the supplier
        addressLineOne:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslineone
          description: Optional first line of address
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
          description: Optional second line of address
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: Optional city
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: Optional state or province
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
          description: Optional ZIP or postal code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: Optional country
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the supplier is archived
          default: false
      type: object
      required:
        - name
      title: Supplier
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````